Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.xml
Class XmlIvyConfigurationParser

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          fr.jayasoft.ivy.xml.XmlIvyConfigurationParser

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class XmlIvyConfigurationParser
extends org.xml.sax.helpers.DefaultHandler

Author:
  Hanin

Constructor Summary
`XmlIvyConfigurationParser(Ivy ivy)`

Method Summary
`void` | `endDocument()`
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`void` | `parse(java.net.URL configuration)`
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes att)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlIvyConfigurationParser

    public XmlIvyConfigurationParser(Ivy ivy)

Method Detail

### parse

    public void parse(java.net.URL configuration)
               throws java.text.ParseException,
                      java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes att)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD